/*************************************************************/
/*                                                           */
/* createnewurl.cmd                                          */
/*                                                           */
/* Script that creates a Warp4 URL object in a "New URL's    */
/* desktop folder (once created, the folder can be moved     */
/* anywhere, since it's object ID is used.) Used by          */
/* newurl.cmd for creating URL object, but can be called by  */
/* any other program. Note that an URL looking like:         */
/* http://address must actually be called like "http address */
/* since // for some reason trunkates the parsed argument    */
/* list.                                                     */
/*                                                           */
/* Copyright (C) 1996 Bjorn Fahller                          */
/*                                                           */
/*************************************************************/

parse arg type address;

url=type||'://'||address;

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs


result = SysOpenObject("<BF_NEWURLS>","ICON", 0);
if result == 0 then
  do
     result = SysCreateobject("WPFolder","New URL's","<WP_DESKTOP>","OBJECTID=<BF_NEWURLS>");
     if result == 0 then
       exit 1;
     result = SysOpenObject("<BF_NEWURLS>","ICON", 0);
     if result == 0 then
       exit 1;
  end


result=SysCreateObject("WPUrl",url,"<BF_NEWURLS>","URL="url);

exit 0;
